Added onos-build-selective & obs short-hand.
diff --git a/tools/dev/bin/onos-build-selective b/tools/dev/bin/onos-build-selective
new file mode 100755
index 0000000..2fe0188
--- /dev/null
+++ b/tools/dev/bin/onos-build-selective
@@ -0,0 +1,12 @@
+#!/bin/bash
+#------------------------------------------------------------------------------
+# Selectively builds only those projects that contained modified Java files.
+#------------------------------------------------------------------------------
+
+projects=$(find $ONOS_ROOT -name '*.java' \
+    -not -path '*/openflowj/*' -and -not -path '.git/*' \
+    -exec $ONOS_ROOT/tools/dev/bin/onos-build-selective-hook {} \; | \
+    sort -u | sed "s:$ONOS_ROOT::g" | tr '\n' ',' | \
+    sed 's:/,:,:g;s:,/:,:g;s:^/::g;s:,$::g')
+
+[ -n "$projects" ] && cd $ONOS_ROOT && mvn --projects $projects ${@:-clean install}
\ No newline at end of file
diff --git a/tools/dev/bin/onos-build-selective-hook b/tools/dev/bin/onos-build-selective-hook
new file mode 100755
index 0000000..233ab1a
--- /dev/null
+++ b/tools/dev/bin/onos-build-selective-hook
@@ -0,0 +1,18 @@
+#------------------------------------------------------------------------------
+# Echoes project-level directory if a Java file within is newer than its
+# class file counterpart
+#------------------------------------------------------------------------------
+
+javaFile=${1#*\/src\/*\/java/}
+basename=${1/*\//}
+
+[ $basename = "package-info.java" ] && exit 0
+
+src=${1/$javaFile/}
+project=${src/src*/}
+classFile=${javaFile/.java/.class}
+
+[ ${project}target/classes/$classFile -nt ${src}$javaFile -o \
+    ${project}target/test-classes/$classFile -nt ${src}$javaFile ] \
+    || echo ${src/src*/}
+
diff --git a/tools/dev/bin/onos-local-log b/tools/dev/bin/onos-local-log
new file mode 100755
index 0000000..f138b73
--- /dev/null
+++ b/tools/dev/bin/onos-local-log
@@ -0,0 +1,11 @@
+#!/bin/bash
+#------------------------------------------------------------------------------
+# Continuously watches the Apache Karaf log; survives 'karaf clean'
+#------------------------------------------------------------------------------
+KARAF_LOG=${KARAF_LOG:-~/apache-karaf-3.0.1/data/log/karaf.log}
+
+while true; do
+    [ ! -f $KARAF_LOG ] && sleep 2 && continue
+    tail -n 512 -f -F $KARAF_LOG
+done
+